com.aliyun.svideosdk.editor

## Interface AliyunIRenderCallback

-     public interface AliyunIRenderCallback

  v3.32.2 新增 渲染回调接口

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `needRenderCallback()` 纹理回调开关设置 可以使用"|"符号来开启多个回调，如：RENDER_CALLBACK_CUSTOM | RENDER_CALLBACK_TEXTURE,代表同时开启两个回调
    `int` | `onCustomRender(int srcTextureID, int width, int height, long frameTime)` 没有经过sdk渲染引擎渲染的视频纹理id回调
    `void` | `onRenderDestroy()` 渲染环境销毁回调，在渲染线程中回调
    `void` | `onRenderSetup()` 渲染环境初始化回调，在渲染线程中回调
    `int` | `onTextureRender(int srcTextureID, int width, int height, long frameTime)` 经过sdk渲染引擎渲染的视频纹理id回调

- - ### Method Detail

    - #### onRenderSetup

          void onRenderSetup()

      渲染环境初始化回调，在渲染线程中回调

    - #### onRenderDestroy

          void onRenderDestroy()

      渲染环境销毁回调，在渲染线程中回调

    - #### onCustomRender

          int onCustomRender(int srcTextureID,
                             int width,
                             int height,
                             long frameTime)

      没有经过sdk渲染引擎渲染的视频纹理id回调
      Parameters:
        `srcTextureID` - 原纹理ID
        `width` - 纹理宽
        `height` - 纹理高
        `frameTime` - 帧相对于时间轴的渲染时间(单位: 微秒)
      Returns:
        经过绘制后的新纹理ID

    - #### onTextureRender

          int onTextureRender(int srcTextureID,
                              int width,
                              int height,
                              long frameTime)

      经过sdk渲染引擎渲染的视频纹理id回调
      Parameters:
        `srcTextureID` - 原纹理ID
        `width` - 纹理宽
        `height` - 纹理高
        `frameTime` - 帧相对于时间轴的渲染时间(单位: 微秒)
      Returns:
        经过绘制后的新纹理ID

    - #### needRenderCallback

          int needRenderCallback()

      纹理回调开关设置 可以使用"|"符号来开启多个回调，如：RENDER_CALLBACK_CUSTOM | RENDER_CALLBACK_TEXTURE,代表同时开启两个回调
      See Also:
        `RenderCallbackFlags.RENDER_CALLBACK_NONE`, `RenderCallbackFlags.RENDER_CALLBACK_CUSTOM`, `RenderCallbackFlags.RENDER_CALLBACK_TEXTURE`